%define ctan_date 20051003

%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg fontools
%define texpkgenc %{_texmf}/fonts/enc/dvips/%{texpkg}
%define texpkgdoc %{_texmf}/doc/latex/%{texpkg}

Name:           tetex-%{texpkg}
Version:        %{ctan_date}
# No version specified in zip file or ctan page
Release:        1%{?dist}
Summary:        Tools for handling fonts with LaTeX and fontinst

Group:          Applications/Publishing
License:        GPL
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/fontools.html
Source0:        fontools-%{ctan_date}.zip
# upstream source - unversioned zip file
# ftp://tug.ctan.org/pub/tex-archive/fonts/utilities/fontools.zip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  /usr/bin/kpsewhich
Requires: ghostscript tetex-afm lcdf-typetools tetex-latex
Requires: perl >= 5.6.0
Requires(post):   /usr/bin/texhash
Requires(postun): /usr/bin/texhash


%description
This package provides a few tools to ease using fonts (especially
TrueType/OpenType ones) with LaTeX and fontinst.

%prep
%setup -q -n %{texpkg}


%build


%install
rm -rf %buildroot
install -d -m755 %buildroot%_bindir
install -d -m755 %buildroot%{texpkgenc}
install -d -m755 %buildroot%{texpkgdoc}
install -d -m755 %buildroot%_mandir/man1

install -p -m755 bin/* %buildroot%_bindir/
install -p -m644 share/*.enc %buildroot%{texpkgenc}/
install -p -m644 doc/*.pdf %buildroot%{texpkgdoc}/
install -p -m644 doc/*.1 %buildroot%_mandir/man1/


%clean
rm -rf %buildroot


%post
texhash > /dev/null 2>&1 || :

%postun
texhash > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc README GPLv2.txt examples/
%_bindir/*
%{texpkgenc}/
%{_texmf}/doc/
%_mandir/man1/*



%changelog
* Fri Oct 07 2005 Michael A. Peters <mpeters@mac.com> 20051003-1
- implemented changes suggested in bug 169735 comment 10
- (attachment ID 119727)

* Fri Oct 07 2005 Michael A. Peters <mpeters@mac.com> 1.0-3.9
- removed redundant tetex-fonts dependency
- redownloaded source w/ wget -N (and this updated ctandate)

* Wed Oct 05 2005 Michael A. Peters <mpeters@mac.com> 1.0-3
- added missing tetex-latex dependency

* Mon Oct 03 2005 Michael A. Peters <mpeters@mac.com> 1.0-2
- New upstream (20051003) fixes the case sensitivity issue

* Sun Oct 02 2005 Michael A. Peters <mpeters@mac.com> 1.0-1
- Initial packaging for Fedora Extras Review
